function he = plot_hvsr ()

%--------------------------------------------
% Load hv data

ROOT = '/home/grendel/Luzern/Results/03_SBB_array/HV_WFTAN/';
buf = load([ROOT 'hvsr.mean.ascii']);

freq = buf(:,1);
hvme = buf(:,2);
hvsd = buf(:,3);

%--------------------------------------------
% Plot

figure(2); hold on;

ind = [1:2:length(freq)];
he = errorbar_logy(freq(ind),hvme(ind),hvsd(ind));

return;
