function dat = ga_read_data (cfg)

dat.sn = 0;

% Open HV file list
fid = fopen(cfg.elfl,'r');

while ~feof(fid)

  line = fgetl(fid);
  arg = strread(line,'%s',1);

  switch char(arg)
  case 'DATA'
    % Station number
    dat.sn = dat.sn + 1;

    % Arguments
    arg = strread(line,'%s',4);
    dat.id(dat.sn) = str2num(char(arg(2)));
    dat.f0(dat.sn) = str2num(char(arg(3)));
    file_name = char(arg(4));

    % Import data
    if (cfg.elck ~= 0)
      buf = load(file_name);

      % Store data
      dat.file(dat.sn).fr = buf(:,1);
      dat.file(dat.sn).hv = buf(:,2);
    end
  end
end

fclose(fid);

return;
