function h = plot_vg_color(hl,vl,color)

figure(1);

%-----------------------------------
% Reorganize profile

lnum = length(hl);
hl = cumsum(hl);

X = [];
Y = [];

for nl = 1:lnum
  if nl == 1
    X = [X vl(1) vl(1)];
    Y = [Y 0 hl(1)];
    X = [X vl(1) vl(2)];
    Y = [Y hl(1) hl(1)];
  else
    if nl ~= lnum
    X = [X vl(nl) vl(nl)];
    Y = [Y hl(nl-1) hl(nl)];
    X = [X vl(nl) vl(nl+1)];
    Y = [Y hl(nl) hl(nl)];
    else
    X = [X vl(nl) vl(nl)];
    Y = [Y hl(nl-1) hl(nl-1)+1000];
    end
  end
end

%-----------------------------------
% Plot profile

h = plot(X,Y,'Linewidth',3,'Color',color);
set(gca,'Ydir','reverse');

return;

